收藏
回答

废弃接口在低版本是否有效

问题模块 框架类型 问题类型 API/组件名称 终端类型 操作系统 微信版本 基础库版本
API和组件 小程序 需求 废弃接口 客户端 6.6.7 1.3.0

- 需求的场景描述(希望解决的问题)

请问即将废弃的接口, 比如说跳转小程序 wx.navigateToMiniProgram 在解决方案以下的版本是否有效?

该接口是1.3.0提供的, 该废弃解决方案是使用navigator, 解决方案是在2.0.7之后才有效, 如果用户版本处于1.3.0到2.0.7之间的版本怎么办?


我们公司粉丝群体比较特殊, 按照官方的版本统计我们这边小程序1.9.0以下的用户还有224W, 这个废弃影响范围有点大.


- 希望提供的能力

提供兼容解决方案, 而不是完全废弃.

最后一次编辑于  2018-06-01  (未经腾讯允许,不得转载)
邀请回答
复制链接收藏投诉关注问题回答

4 个回答

  • C.z
    C.z
    2018-06-07

    同求,同求,有答案咯,求告知

    2018-06-07
    赞同
    回复
  • 王小起儿
    王小起儿
    2018-06-11

    1

    2018-06-11
    赞同
    回复
  • Pak
    Pak
    2018-06-19

    @官方

    2018-06-19
    赞同
    回复
  • RainJoy
    RainJoy
    2018-06-25


    2018-06-25
    赞同
    回复